[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Install / update php rpm packages with FC6



Scott van Looy wrote:

> Today edwardspl ita org mo did spake thusly:
>
>> [root svr1 php]# yum install localinstall --disablerepo=* php-imap*
>
>
> you're telling it to try and install "localinstall" and then disabling
> all the repos
>
>> Loading "installonlyn" plugin
>> Setting up Install Process
>> Setting up repositories
>> No Repositories Available to Set Up
>> Reading repository metadata in from local files
>> Parsing package install arguments
>> Setting up repositories
>> No Repositories Available to Set Up
>
>
> ^^^ so it can't find any files ;)
>
>> Reading repository metadata in from local files
>> No Match for argument: localinstall
>> Examining php-imap-5.1.6-3.3.fc6.i386.rpm: php-imap - 5.1.6-3.3.fc6.i386
>> Marking php-imap-5.1.6-3.3.fc6.i386.rpm to be installed
>> Setting up repositories
>> No Repositories Available to Set Up
>> Reading repository metadata in from local files
>> Resolving Dependencies
>> --> Populating transaction set with selected packages. Please wait.
>> ---> Package php-imap.i386 0:5.1.6-3.3.fc6 set to be updated
>> --> Running transaction check
>> --> Processing Dependency: libc-client.so.1 for package: php-imap
>> --> Processing Dependency: php-common = 5.1.6-3.3.fc6 for package:
>> php-imap
>> --> Finished Dependency Resolution
>> Error: Missing Dependency: libc-client.so.1 is needed by package
>> php-imap
>> Error: Missing Dependency: php-common = 5.1.6-3.3.fc6 is needed by
>> package php-imap
>
>
> ^^^ and therefore it can't install any dependencies
>
>> [root svr1 php]#
>>
>> PS : Just download and install the libc-client packages with the FC6,
>> but still problem :
>> http://fedoraproject.org/extras/6/i386/libc-client2006-2006e-2.fc6.i386.rpm
>>
>>
>> Edward.
>
>
> Just do exactly what I originally typed! :)
>
> yum localinstall php*
>
Hello,

Sorry, due to the Server machine without connect to the Internet...
So, only run "yum localinstall --disablerepo=* php*" :

[root svr1 php]# yum localinstall --disablerepo=* php*
Loading "installonlyn" plugin
Setting up Local Package Process
Examining php-5.1.6-3.3.fc6.i386.rpm: php - 5.1.6-3.3.fc6.i386
Examining php-bcmath-5.1.6-3.3.fc6.i386.rpm: php-bcmath - 5.1.6-3.3.fc6.i386
Examining php-cli-5.1.6-3.3.fc6.i386.rpm: php-cli - 5.1.6-3.3.fc6.i386
Examining php-common-5.1.6-3.3.fc6.i386.rpm: php-common - 5.1.6-3.3.fc6.i386
Examining php-dba-5.1.6-3.3.fc6.i386.rpm: php-dba - 5.1.6-3.3.fc6.i386
Examining php-devel-5.1.6-3.3.fc6.i386.rpm: php-devel - 5.1.6-3.3.fc6.i386
Examining php-gd-5.1.6-3.3.fc6.i386.rpm: php-gd - 5.1.6-3.3.fc6.i386
Examining php-imap-5.1.6-3.3.fc6.i386.rpm: php-imap - 5.1.6-3.3.fc6.i386
Examining php-ldap-5.1.6-3.3.fc6.i386.rpm: php-ldap - 5.1.6-3.3.fc6.i386
Examining php-mbstring-5.1.6-3.3.fc6.i386.rpm: php-mbstring -
5.1.6-3.3.fc6.i386
Examining php-mysql-5.1.6-3.3.fc6.i386.rpm: php-mysql - 5.1.6-3.3.fc6.i386
Examining php-ncurses-5.1.6-3.3.fc6.i386.rpm: php-ncurses -
5.1.6-3.3.fc6.i386
Examining php-odbc-5.1.6-3.3.fc6.i386.rpm: php-odbc - 5.1.6-3.3.fc6.i386
Examining php-pdo-5.1.6-3.3.fc6.i386.rpm: php-pdo - 5.1.6-3.3.fc6.i386
Examining php-pgsql-5.1.6-3.3.fc6.i386.rpm: php-pgsql - 5.1.6-3.3.fc6.i386
Examining php-snmp-5.1.6-3.3.fc6.i386.rpm: php-snmp - 5.1.6-3.3.fc6.i386
Examining php-soap-5.1.6-3.3.fc6.i386.rpm: php-soap - 5.1.6-3.3.fc6.i386
Examining php-xml-5.1.6-3.3.fc6.i386.rpm: php-xml - 5.1.6-3.3.fc6.i386
Examining php-xmlrpc-5.1.6-3.3.fc6.i386.rpm: php-xmlrpc - 5.1.6-3.3.fc6.i386
Marking php-bcmath-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-dba-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-devel-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-gd-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-imap-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-ncurses-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-snmp-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-soap-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-xml-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-xmlrpc-5.1.6-3.3.fc6.i386.rpm to be installed
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Marking php-5.1.6-3.3.fc6.i386.rpm as an update to php - 5.1.6-3.i386
Marking php-cli-5.1.6-3.3.fc6.i386.rpm as an update to php-cli -
5.1.6-3.i386
Marking php-common-5.1.6-3.3.fc6.i386.rpm as an update to php-common -
5.1.6-3.i386
Marking php-ldap-5.1.6-3.3.fc6.i386.rpm as an update to php-ldap -
5.1.6-3.i386
Marking php-mbstring-5.1.6-3.3.fc6.i386.rpm as an update to php-mbstring
- 5.1.6-3.i386
Marking php-mysql-5.1.6-3.3.fc6.i386.rpm as an update to php-mysql -
5.1.6-3.i386
Marking php-odbc-5.1.6-3.3.fc6.i386.rpm as an update to php-odbc -
5.1.6-3.i386
Marking php-pdo-5.1.6-3.3.fc6.i386.rpm as an update to php-pdo -
5.1.6-3.i386
Marking php-pgsql-5.1.6-3.3.fc6.i386.rpm as an update to php-pgsql -
5.1.6-3.i386
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package php-snmp.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-bcmath.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-cli.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-xml.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-common.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-ncurses.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-gd.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-xmlrpc.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-odbc.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-devel.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-dba.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-soap.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-mbstring.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-ldap.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-pdo.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-imap.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-pgsql.i386 0:5.1.6-3.3.fc6 set to be updated
---> Package php-mysql.i386 0:5.1.6-3.3.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libc-client.so.1 for package: php-imap
--> Finished Dependency Resolution
Error: Missing Dependency: libc-client.so.1 is needed by package php-imap
[root svr1 php]#

More any help for me ?

Edward.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]